Merge remote-tracking branch 'origin/master' into credentials
[oweals/gnunet.git] / src / gns / test_gns_soa_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
17
18 rm -rf /tmp/test-gnunet-gns-peer-1/
19 TEST_DOMAIN="homepage.gnu"
20 # some public DNS resolver we can use
21 TEST_IP_GNS2DNS="184.172.157.218"
22 TEST_RECORD_NAME="homepage"
23 TEST_RECORD_GNS2DNS="gnunet.org"
24
25 if ! nslookup $TEST_RECORD_GNS2DNS $TEST_IP_GNS2DNS &> /dev/null
26 then
27   echo "Cannot reach DNS, skipping test"
28   exit 77
29 fi
30
31 gnunet-arm -s -c test_gns_lookup.conf
32 gnunet-identity -C testego -c test_gns_lookup.conf
33 gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME -t GNS2DNS -V ${TEST_RECORD_GNS2DNS}@${TEST_IP_GNS2DNS} -e never -c test_gns_lookup.conf
34 RES_SOA=`$DO_TIMEOUT gnunet-gns --raw -z testego -u $TEST_DOMAIN -t SOA -c test_gns_lookup.conf`
35 gnunet-namestore -z testego -d -n $TEST_RECORD_NAME -t GNS2DNS -V ${TEST_RECORD_GNS2DNS}@${TEST_IP_GNS2DNS} -e never -c test_gns_lookup.conf &> /dev/null
36 gnunet-identity -D testego -c test_gns_lookup.conf
37 gnunet-arm -e -c test_gns_lookup.conf
38 rm -rf /tmp/test-gnunet-gns-peer-1/
39
40 if [ "x$RES_SOA" != "x" ]
41 then
42   echo "PASS: Resolved SOA for $TEST_DOMAIN to $RES_SOA."
43   exit 0
44 else
45   echo "Failed to resolve to proper SOA for $TEST_DOMAIN, got no result."
46   exit 1
47 fi